import { BigNumberString } from "./BigNumberString";
import { EthereumAddress } from "./EthereumAddress";
/**
 * Represents the current balance of a specific asset in the channel.
 * @param assetAddress the Ethereum address of the asset type
 * @param totalAmount the total amount of the asset that has been deposited for use by the Hypernet Protocol.
 * @param lockedAmount the amount of the asset that is currently in use in pending tranfers
 * @param freeAmount the amount of the asset that is available for sending in transfers
 */
export declare class AssetBalance {
    assetAddress: EthereumAddress;
    name: string;
    symbol: string;
    decimals: number;
    totalAmount: BigNumberString;
    lockedAmount: BigNumberString;
    freeAmount: BigNumberString;
    constructor(assetAddress: EthereumAddress, name: string, symbol: string, decimals: number, totalAmount: BigNumberString, lockedAmount: BigNumberString, freeAmount: BigNumberString);
}
//# sourceMappingURL=AssetBalance.d.ts.map