import { ChainAddresses, ChainProviders } from "@connext/vector-types";
import { DefinitionName } from "./DefinitionName";
import { EthereumAddress } from "./EthereumAddress";
import { PublicIdentifier } from "./PublicIdentifier";
import { SchemaUrl } from "./SchemaUrl";
export declare class HypernetConfig {
    iframeSource: string;
    routerPublicIdentifier: PublicIdentifier;
    chainId: number;
    hypertokenAddress: EthereumAddress;
    messageTransferAddress: EthereumAddress;
    insuranceTransferAddress: EthereumAddress;
    parameterizedTransferAddress: EthereumAddress;
    gatewayRegistryAddress: EthereumAddress;
    hypernetProtocolDomain: string;
    defaultPaymentExpiryLength: number;
    chainProviders: ChainProviders;
    chainAddresses: ChainAddresses;
    natsUrl: string;
    authUrl: string;
    gatewayIframeUrl: string;
    ceramicNodeUrl: string;
    storageAliases: Map<DefinitionName, SchemaUrl>;
    gatewayDeauthorizationTimeout: number;
    controlClaimSubject: string;
    debug: boolean;
    constructor(iframeSource: string, routerPublicIdentifier: PublicIdentifier, chainId: number, hypertokenAddress: EthereumAddress, messageTransferAddress: EthereumAddress, insuranceTransferAddress: EthereumAddress, parameterizedTransferAddress: EthereumAddress, gatewayRegistryAddress: EthereumAddress, hypernetProtocolDomain: string, defaultPaymentExpiryLength: number, chainProviders: ChainProviders, chainAddresses: ChainAddresses, natsUrl: string, authUrl: string, gatewayIframeUrl: string, ceramicNodeUrl: string, storageAliases: Map<DefinitionName, SchemaUrl>, gatewayDeauthorizationTimeout: number, controlClaimSubject: string, debug: boolean);
}
//# sourceMappingURL=HypernetConfig.d.ts.map