import { BigNumberString } from "./BigNumberString";
import { EthereumAddress } from "./EthereumAddress";
import { GatewayUrl } from "./GatewayUrl";
import { IMessageTransferData } from "./MessageTransferData";
import { PaymentId } from "./PaymentId";
import { PublicIdentifier } from "./PublicIdentifier";
import { IRate } from "./Rate";
import { UnixTimestamp } from "./UnixTimestamp";
export interface IHypernetOfferDetails extends IMessageTransferData {
    paymentId: PaymentId;
    creationDate: UnixTimestamp;
    to: PublicIdentifier;
    from: PublicIdentifier;
    requiredStake: BigNumberString;
    paymentAmount: BigNumberString;
    gatewayUrl: GatewayUrl;
    paymentToken: EthereumAddress;
    expirationDate: UnixTimestamp;
    metadata: string | null;
    rate?: IRate;
}
//# sourceMappingURL=HypernetOfferDetails.d.ts.map