"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GatewayAuthorizationDeniedError = void 0;
/**
 * GatewayAuthorizationDeniedError is thrown when the user will
 * not sign the gateway's signature, thereby authorizing the gateway's
 * code.
 * This is a fatal error for the gateway, and no retries should
 * be attempted.
 */
class GatewayAuthorizationDeniedError extends Error {
    constructor(message, src) {
        super(message);
        this.src = src;
    }
}
exports.GatewayAuthorizationDeniedError = GatewayAuthorizationDeniedError;
//# sourceMappingURL=GatewayAuthorizationDeniedError.js.map